/*
 * cheap cat(1)-replacement --  author Klaus Knopper
 * needed for static ash on tight linux bootdisk
 */
#include <errno.h>
#include <fcntl.h>
#include "bltin.h"

int catcmd(int argc, char **argv)
{
 char buffer[1024];
 int rc=0;
 size_t r;
 if(argc<2) while((r=read(0,buffer,1024))>0) write(1,buffer,r);
 else
  {
   int i;
   for(i=1;i<argc;i++)
    {
     int f;
     if((f=open(argv[i],O_RDONLY))>=0)
      {
       while((r=read(f,buffer,1024))>0) write(1,buffer,r);
       close(f);
      }
     else { rc=errno; error("No file %s.",argv[i]); }
    }
  }
 return rc;
}
